##### 7.7.21.0. extendWeyl

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  extendWeyl(S); S string or list of strings

Assume:
  The basering is the n-th Weyl algebra over a field of characteristic 0 and for all 1<=i<=n the identity
  var(i+n)*var(i)=var(i)*var(i+1)+1 holds, i.e. the sequence of variables is given by x(1),...,x(n),D(1),...,D(n), where D(i) is the differential operator belonging to x(i).

Return:
  ring, Weyl algebra extended by vars given by S

Example:

    LIB "dmodloc.lib";
    ring @D2 = 0,(x,y,Dx,Dy),dp;
    def D2 = Weyl();
    setring D2;
    def D3 = extendWeyl("t");
    setring D3; D3;
    ==> //   characteristic : 0
    ==> //   number of vars : 6
    ==> //        block   1 : ordering dp
    ==> //                  : names    t x y Dt Dx Dy
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    Dtt=t*Dt+1
    ==> //    Dxx=x*Dx+1
    ==> //    Dyy=y*Dy+1
    list L = "u","v";
    def D5 = extendWeyl(L);
    setring D5;
    D5;
    ==> //   characteristic : 0
    ==> //   number of vars : 10
    ==> //        block   1 : ordering dp
    ==> //                  : names    u v t x y Du Dv Dt Dx Dy
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    Duu=u*Du+1
    ==> //    Dvv=v*Dv+1
    ==> //    Dtt=t*Dt+1
    ==> //    Dxx=x*Dx+1
    ==> //    Dyy=y*Dy+1

User manual for Singular version 4-0-3, 2016, generated by texi2html.